Grand Master Rains:
The sword of ritual is a token given to those who have passed the test to become a Human Knight. The one who receives the sword has earned the right to become a Human Knight. High-ranking Knights of the order have been entrusted with the care of the sword of ritual for generations. Until recently, Sir Collin Windawood cared for the sword, but when he was appointed governor of Talking Island, it was put in the care of Sir Klaus Vasper. Sir Vasper will be near the fighters guild in the village of Gludin, so it won't be difficult to find him when you are there. The fighters guild is in the northern part of the village ... Of course, a Gatekeeper is the fastest way to get there.
Return